package de.oaa.xxx.gruppe.repository;

import de.oaa.xxx.gruppe.AnfrageStatus;
import de.oaa.xxx.gruppe.entity.BeitrittsanfrageEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

public interface BeitrittsanfrageRepository extends JpaRepository<BeitrittsanfrageEntity, UUID> {

    List<BeitrittsanfrageEntity> findByGruppeIdAndStatus(UUID gruppeId, AnfrageStatus status);

    List<BeitrittsanfrageEntity> findByUserIdAndStatus(UUID userId, AnfrageStatus status);

    Optional<BeitrittsanfrageEntity> findByGruppeIdAndUserId(UUID gruppeId, UUID userId);

    @Transactional
    void deleteByGruppeId(UUID gruppeId);
}
